
Foreman - Bug #2300

Rake task "reports:summarize" aborted: undefined method `all' for "Host::Managed":String

03/11/2013 11:25 AM - Andreas Ntaflos

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This happens on Ubuntu 12.04.2 using Ruby 1.8.7 after updating to 91de7d43032caad4d3791fee5bc17981e48a015e.

sudo -u foreman -H RAILS_ENV=production rake reports:summarize --trace                            

                                                                    

** Invoke reports:summarize (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute reports:summarize

rake aborted!

undefined method `all' for "Host::Managed":String

/usr/local/share/foreman/app/models/host_mailer.rb:43:in `summary'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/abstract_controller/base.rb:15

0:in `send_action'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/abstract_controller/base.rb:15

0:in `process_action'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/abstract_controller/base.rb:11

9:in `process'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionpack-3.0.20/lib/abstract_controller/rendering.

rb:41:in `process'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionmailer-3.0.20/lib/action_mailer/old_api.rb:75:

in `process'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionmailer-3.0.20/lib/action_mailer/base.rb:471:in

 `process'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionmailer-3.0.20/lib/action_mailer/base.rb:466:in

 `initialize'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionmailer-3.0.20/lib/action_mailer/deprecated_api

.rb:70:in `new'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionmailer-3.0.20/lib/action_mailer/deprecated_api

.rb:70:in `method_missing'

/usr/local/share/foreman/vendor/ruby/1.8/gems/actionmailer-3.0.20/lib/action_mailer/base.rb:452:in

 `method_missing'

/usr/local/share/foreman/lib/tasks/reports.rake:78

/usr/lib/ruby/vendor_ruby/rake/task.rb:205:in `call'

/usr/lib/ruby/vendor_ruby/rake/task.rb:205:in `execute'

/usr/lib/ruby/vendor_ruby/rake/task.rb:200:in `each'

/usr/lib/ruby/vendor_ruby/rake/task.rb:200:in `execute'

/usr/lib/ruby/vendor_ruby/rake/task.rb:158:in `invoke_with_call_chain'

/usr/lib/ruby/1.8/monitor.rb:242:in `synchronize'

/usr/lib/ruby/vendor_ruby/rake/task.rb:151:in `invoke_with_call_chain'

/usr/lib/ruby/vendor_ruby/rake/task.rb:144:in `invoke'

/usr/lib/ruby/vendor_ruby/rake/application.rb:116:in `invoke_task'

/usr/lib/ruby/vendor_ruby/rake/application.rb:94:in `top_level'

/usr/lib/ruby/vendor_ruby/rake/application.rb:94:in `each'

/usr/lib/ruby/vendor_ruby/rake/application.rb:94:in `top_level'

/usr/lib/ruby/vendor_ruby/rake/application.rb:133:in `standard_exception_handling'

/usr/lib/ruby/vendor_ruby/rake/application.rb:88:in `top_level'
/usr/lib/ruby/vendor_ruby/rake/application.rb:66:in `run'

/usr/lib/ruby/vendor_ruby/rake/application.rb:133:in `standard_exception_handling'

/usr/lib/ruby/vendor_ruby/rake/application.rb:63:in `run'

/usr/bin/rake:27

Tasks: TOP => reports:summarize

 Greg Sutcliffe provided a working patch for this issue, see attachment.

Related issues:

Has duplicate Foreman - Bug #2323: syntax bug in Host Mailer Closed 03/14/2013

History

#1 - 03/14/2013 05:32 PM - Ohad Levy

- Status changed from New to Duplicate

#2 - 03/14/2013 05:33 PM - Ohad Levy

Andreas, I'm sorry, I just noticed that you sent a patch, however a Pull Request was sent that got merged with the same fix, please next time send us

a PR instead of a patch in a ticket.

sorry :)

Files

host_mailer.rb.patch 639 Bytes 03/11/2013 Andreas Ntaflos
